Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156980 - CAN-2005-1544 libtiff buffer overflow
Summary: CAN-2005-1544 libtiff buffer overflow
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libtiff
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: impact=important,public=20050505,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 20:41 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 16:47:21 UTC


Attachments (Terms of Use)
Patch from upstream CVS (deleted)
2005-05-05 20:44 UTC, Josh Bressers
no flags Details | Diff

Description Josh Bressers 2005-05-05 20:41:14 UTC
A stack based buffer overflow issue exists in libtiff's TIFFOpen() call.  See
the upstream bugzilla for more information:
http://bugzilla.remotesensing.org/show_bug.cgi?id=843

Comment 1 Josh Bressers 2005-05-05 20:42:24 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-05-05 20:44:22 UTC
Created attachment 114069 [details]
Patch from upstream CVS

Comment 3 Josh Bressers 2005-05-06 16:47:21 UTC
This issue only affects libtiff 3.7 and greater.


Note You need to log in before you can comment on or make changes to this bug.